### Hierarchy

- NetworkInterfaceBase
  - NetworkInterfaceInfoIPv4
  - NetworkInterfaceInfoIPv6

## Index

### Properties

- address
- cidr
- internal
- mac
- netmask

## Properties

### address

address: string

- Defined in node_modules/@types/node/os.d.ts:15

### cidr

cidr: string | null

- Defined in node_modules/@types/node/os.d.ts:19

### internal

internal: boolean

- Defined in node_modules/@types/node/os.d.ts:18

### mac

mac: string

- Defined in node_modules/@types/node/os.d.ts:17

### netmask

netmask: string

- Defined in node_modules/@types/node/os.d.ts:16

Generated using TypeDoc